Skip to main content
Get Orchestrate Assistant Run
curl --request GET \
  --url https://{api_endpoint}/v1/orchestrate/runs/{run_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{api_endpoint}/v1/orchestrate/runs/{run_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{api_endpoint}/v1/orchestrate/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "<string>",
  "assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "pending",
  "created_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "failed_at": "2023-11-07T05:31:56Z",
  "cancelled_at": "2023-11-07T05:31:56Z",
  "llm_params": {
    "beam_width": 1,
    "include_stop_sequence": true,
    "length_penalty": {
      "decay_factor": 2,
      "start_index": 2
    },
    "max_new_tokens": 1,
    "min_new_tokens": 1,
    "random_seed": 2147483648,
    "repetition_penalty": 1.5,
    "return_options": {
      "generated_tokens": false,
      "input_parameters": true,
      "input_text": false,
      "input_tokens": false,
      "token_logprobs": false,
      "token_ranks": false,
      "top_n_tokens": 2
    },
    "stop_sequences": "[\" and \"]",
    "temperature": 1,
    "time_limit": 123,
    "top_k": 50,
    "top_p": 0.5,
    "truncate_input_tokens": 1,
    "typical_p": 0.505
  },
  "usage": {},
  "last_error": "<string>",
  "result": {},
  "guardrails": {
    "hap": {
      "input": {
        "enabled": false,
        "threshold": 0.5
      },
      "output": {
        "enabled": false,
        "threshold": 0.5
      },
      "mask": {
        "remove_entity_value": false
      }
    },
    "social_bias": {
      "input": {
        "enabled": false,
        "threshold": 0.5
      },
      "output": {
        "enabled": false,
        "threshold": 0.5
      },
      "mask": {
        "remove_entity_value": false
      }
    },
    "pii": {
      "input": {
        "enabled": false,
        "threshold": 0.5
      },
      "output": {
        "enabled": false,
        "threshold": 0.5
      },
      "mask": {
        "remove_entity_value": false
      }
    }
  },
  "agent_id": "<string>",
  "additional_parameters": {},
  "trace_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string
required

Response

Successful Response

id
string<uuid>
required
thread_id
string<uuid>
required
tenant_id
string | null
assistant_id
string<uuid> | null
status
enum<string> | null
default:pending
Available options:
pending,
running,
completed,
async_wait,
async_completed,
failed,
cancelled,
requires_input,
expired
created_at
string<date-time> | null
started_at
string<date-time> | null
completed_at
string<date-time> | null
failed_at
string<date-time> | null
cancelled_at
string<date-time> | null
llm_params
TextGenerationParameters · object | null
usage
Usage · object | null
last_error
string | null
result
Result · object | null
guardrails
Guardrails · object | null
agent_id
string | null
additional_parameters
Additional Parameters · object | null
trace_id
string | null